<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--CSS -->

    <!--<link  href="https://cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.css" rel="stylesheet">-->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->

</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header(${activeNav})"></div>

    <!--CAROUSEL-->
    <div th:replace="fragments/layout :: carousel-sm"></div>

    <main id="main" class="container mt-2">
        <div class="d-lg-flex">
            <!--SIDE NAV-->
            <div class="sideNavWrapper m-2" th:if="${activeNav == 'user'}">
                <h4 class="h4" th:text="${currentUser.getFullName()}"></h4>
                <p class="text-muted mb-0" th:text="${currentUser.getEmail()}"></p>
                <p class="text-muted" th:if="${currentUser.getCompany() != null}" th:text="${currentUser.getCompany()}"></p>

                <!--BACK-->
                <div class="mb-2">
                    <a class="btn btn-sm btn-outline-secondary w-100" th:href="${activeNav == 'admin'} ? @{/admin/borrows} : @{/borrows}">
                        <i class="fas fa-chevron-left mr-2"></i>
                        Zpět na seznam
                    </a>
                </div>

                <div th:replace="fragments/layout :: sideNav('borrows')"></div>
            </div>

            <div class="flex-grow-1 p-2">

                <!--HEADING-->
                <div class="mb-3 pb-2 pt-1 border-bottom clearfix">
                    <h2 class="float-left" th:text="${borrow.product.name}">Rezervace</h2>

                    <div sec:authorize="hasRole('ADMIN')" class="float-right mt-2">
                        <!--EDIT-->
                        <!--<a class="btn btn-sm btn-success" th:href="@{/admin/borrow/edit/} + ${borrow.id}">
                            <i class="fas fa-pen"></i>
                            Upravit
                        </a>-->
                        <!--DELETE-->
                        <a class="btn btn-sm btn-danger" th:href="@{/admin/borrow/remove/} + ${borrow.id}"
                           onclick="return confirm('Opravdu chcete zrušit rezervaci?');">
                            <i class="fas fa-trash"></i>
                        </a>
                    </div>
                </div>

                <!--ALERTS-->
                <div th:replace="fragments/layout :: alerts"></div>

                <div class="row">
                    <div class="col-5">
                        <div class="card">
                            <div class="card-header">
                                Rezervace
                            </div>
                            <div class="card-body pb-1">
                                <p>
                                    <span class="text-muted small">Produkt:</span>
                                    <a th:href="@{/product/} + ${borrow.product.id}" target="_blank"
                                       class="font-weight-bold text-orange" th:text="${borrow.product.name}"></a>
                                </p>
                                <p>
                                    <span class="text-muted small">Od:</span>
                                    <span class="font-weight-bold" th:text="${borrow.getFormatFromDate()}"></span>
                                </p>
                                <p>
                                    <span class="text-muted small">Do:</span>
                                    <span class="font-weight-bold" th:text="${borrow.getFormatToDate()}"></span>
                                </p>
                                <p class="mb-1">
                                    <span class="text-muted small">Příslušenství:</span>
                                </p>
                                <ul class="font-weight-bold"
                                    th:if="${not #lists.isEmpty(borrow.accessories)}"
                                    th:each="accessory : ${borrow.accessories}">
                                    <li th:text="${accessory.name}"></li>
                                </ul>
                            </div>
                        </div>
                    </div>

                    <div class="col-7 pl-0">
                        <div class="card">
                            <div class="card-header">
                                Produkt
                            </div>
                            <div class="card-body pb-1">
                                <p>
                                    <span class="text-muted small">Jméno a příjmení:</span>
                                    <a th:href="@{/admin/user/detail/} + ${borrow.user.id}" target="_blank"
                                       class="font-weight-bold text-orange" th:text="${borrow.user.getFullName()}"></a>
                                </p>
                                <p>
                                    <span class="text-muted small">Email:</span>
                                    <span class="font-weight-bold" th:text="${borrow.user.email}"></span>
                                </p>
                                <p>
                                    <span class="text-muted small">Telefon:</span>
                                    <span class="font-weight-bold" th:text="${borrow.user.phoneNumber}"></span>
                                </p>
                                <p>
                                    <span class="text-muted small">Adresa:</span>
                                    <span class="font-weight-bold"
                                          th:text="${borrow.user.address.getFormatAddress()}"></span>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </main>
</div>

<div th:replace="fragments/layout :: footer"></div>

</body>
</html>